import { r as p, i as d, s as h, x as y, e as c } from "./query-assigned-elements-D930kELM.mjs";
import { n as m } from "./property-DJzm_oB9.mjs";
const f = ":host{--cv-status-header-item-width: 178px;display:flex;padding:14px 16px;align-items:center;font-family:var(--mdc-typography-body2-font-family);font-size:var(--mdc-typography-body2-font-size);font-weight:var(--mdc-typography-body2-font-weight);line-height:var(--mdc-typography-body2-line-height)}span{display:inline-block;width:var(--cv-status-header-item-width);color:var(--mdc-theme-text-secondary-on-background)}";
var v = Object.defineProperty, g = Object.getOwnPropertyDescriptor, l = (i, a, o, r) => {
  for (var t = r > 1 ? void 0 : r ? g(a, o) : a, s = i.length - 1, n; s >= 0; s--)
    (n = i[s]) && (t = (r ? n(a, o, t) : n(t)) || t);
  return r && t && v(a, o, t), t;
};
let e = class extends h {
  render() {
    return y`<span>${this.label}</span> <slot></slot>`;
  }
};
e.styles = [
  d`
      ${p(f)}
    `
];
l([
  m()
], e.prototype, "label", 2);
e = l([
  c("cv-status-header-item")
], e);
const x = e;
export {
  e as CovalentStatusHeaderItem,
  x as default
};
